Message: Using Geant4 libraries in Eclipse Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Using Geant4 libraries in Eclipse 

Keywords: install, configure, eclipse, library, use
Forum: Installation and Configuration
Date: 10 Oct, 2007
From: Paul Anton <paul.anton.letnes@cern.ch>

Hello,

I am a technical student at CERN, and I am using a Geant4 installation on a common server ($G4INSTALL = /afs/cern.ch/sw/lcg/external/geant4/9.0/share if anyone is familiar with the system). I have used a script to initialize all environment variables etc, and I am able to compile and run several of the examples (examples with makefiles on the /afs/cern.ch/.... server).

However, I have no idea as to how I can use the precompiled libraries if I want to write a program myself. Preferably, I would like to use Eclipse to write, compile and run Geant4 programs. To run a basic program like this example: http://geant4.web.cern.ch/geant4/G4UsersDocuments/UsersGuides/ForApplicationDeveloper/html/GettingStarted/mainProgram.html#2.1.1 I am unable to include the source files (#include "G4RunManager.hh" and the like).

Could anyone help me on this? Any help would be appreciated. System info:

Eclipse 3.3 with CDT (C/C++ Dev. Tools)

Linux i686 2.6.9-55.0.6.EL.cernsmp (AFS: i386_linux26)

Scientific Linux CERN SLC release 4.5 (Beryllium)

$G4INSTALL = /afs/cern.ch/sw/lcg/external/geant4/9.0/share (i.e. Geant4.9.0)

$CLHEP_BASE_DIR = /afs/cern.ch/sw/lcg/external/clhep/2.0.3.1/slc4_ia32_gcc34 (i.e. CLHEP 2.0.3.1)

g++ (GCC) 3.4.6 20060404 (Red Hat 3.4.6-8)

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Using Geant4 libraries in Eclipse   (Ben Morgan - 12 Oct, 2007)
1 None: Re: Using Geant4 libraries in Eclipse   (Paul Anton - 16 Oct, 2007)
1 None: Re: Using Geant4 libraries in Eclipse   (Ben Morgan - 18 Oct, 2007)
... 2 Message(s)
5 Idea: Re: Using Geant4 libraries in Eclipse   (Jonathan Aguilar - 03 Mar, 2009)
1 None: Re: Using Geant4 libraries in Eclipse   (John Allison - 04 Mar, 2009)
 Add Message Add Message
to: "Using Geant4 libraries in Eclipse"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]